#
# DESCRIP.MMS
# Written By:  Robert Alan Byer
#              Vice-President
#              A-Com Computing, Inc.
#              ByerRA@aol.com
#              byer@mail.all-net.net
#
# This is a MMS/MMK "makefile" for CircleMUD utilities for OpenVMS
# using the GNU C v2.7.1 compiler with the SOCKETSHR library with
# NetLib support.
#
# This makefile accepts the following macros.
#
#     DEBUG	To compile and link with debug information.
#
#
# Define The C Compiler.
#
CC = GCC
#
# Check To See If We Are To Compile With Debug Information.
#
.IFDEF DEBUG
CC_FLAGS = /NOOPTIMIZE/DEBUG/NOCASE_HACK/INCLUDE=SYS$DISK:[-]
LINK_FLAGS = /DEBUG/TRACEBACK
.ELSE
CC_FLAGS = /OPTIMIZE=3/NODEBUG/NOCASE_HACK/INCLUDE=SYS$DISK:[-]
LINK_FLAGS = /NODEBUG/NOTRACEBACK
.ENDIF

#
# Specify The CircleMUD Utilitys Object Files Needed.
#
CIRCLEUTILS_OBJ = delobjs.obj,listrent.obj,mudpasswd.obj,play2to3.obj,\
                  purgeplay.obj,shopconv.obj,showplay.obj,split.obj,\
                  wld2html.obj
#
# Build The Utilities.
#
utils : $(CIRCLEUTILS_OBJ)
        LINK$(LINK_FLAGS)/EXE=[--.BIN]DELOBJS.EXE DELOBJS.OBJ, -
            SYS$DISK:[-]VMS_CIRCLEMUD_GCC.OPT/OPT
        LINK$(LINK_FLAGS)/EXE=[--.BIN]LISTRENT.EXE LISTRENT.OBJ, -
            SYS$DISK:[-]VMS_CIRCLEMUD_GCC.OPT/OPT
        LINK$(LINK_FLAGS)/EXE=[--.BIN]MUDPASSWD.EXE MUDPASSWD.OBJ, -
            SYS$DISK:[-]VMS_CIRCLEMUD_GCC.OPT/OPT
        LINK$(LINK_FLAGS)/EXE=[--.BIN]PLAY2TO3.EXE PLAY2TO3.OBJ, -
            SYS$DISK:[-]VMS_CIRCLEMUD_GCC.OPT/OPT
        LINK$(LINK_FLAGS)/EXE=[--.BIN]PURGEPLAY.EXE PURGEPLAY.OBJ, -
            SYS$DISK:[-]VMS_CIRCLEMUD_GCC.OPT/OPT
        LINK$(LINK_FLAGS)/EXE=[--.BIN]SHOPCONV.EXE SHOPCONV.OBJ, -
            SYS$DISK:[-]VMS_CIRCLEMUD_GCC.OPT/OPT
        LINK$(LINK_FLAGS)/EXE=[--.BIN]SHOWPLAY.EXE SHOWPLAY.OBJ, -
            SYS$DISK:[-]VMS_CIRCLEMUD_GCC.OPT/OPT
        LINK$(LINK_FLAGS)/EXE=[--.BIN]SPLIT.EXE SPLIT.OBJ, -
            SYS$DISK:[-]VMS_CIRCLEMUD_GCC.OPT/OPT
        LINK$(LINK_FLAGS)/EXE=[--.BIN]WLD2HTML.EXE WLD2HTML.OBJ, -
            SYS$DISK:[-]VMS_CIRCLEMUD_GCC.OPT/OPT
#
# Dependencies for the object files.
#
delobjs.obj   :  delobjs.c,[-]conf.h,[-]sysdep.h,[-]structs.h
                 $(CC)$(CC_FLAGS) DELOBJS.C

listrent.obj  :  listrent.c,[-]conf.h,[-]sysdep.h,[-]structs.h
                 $(CC)$(CC_FLAGS) LISTRENT.C

mudpasswd.obj :  mudpasswd.c,[-]conf.h,[-]sysdep.h,[-]structs.h,[-]utils.h
                 $(CC)$(CC_FLAGS) MUDPASSWD.C

play2to3.obj  : play2to3.c
                $(CC)$(CC_FLAGS) PLAY2TO3.C

purgeplay.obj : purgeplay.c,[-]conf.h,[-]sysdep.h,[-]structs.h,[-]utils.h
                $(CC)$(CC_FLAGS) PURGEPLAY.C

shopconv.obj  : shopconv.c,[-]conf.h,[-]sysdep.h,[-]structs.h,[-]db.h,\
                [-]utils.h,[-]shop.h
                $(CC)$(CC_FLAGS) SHOPCONV.C

showplay.obj  : showplay.c,[-]conf.h,[-]sysdep.h,[-]structs.h
                $(CC)$(CC_FLAGS) SHOWPLAY.C

split.obj     : split.c
                $(CC)$(CC_FLAGS) SPLIT.C

wld2html.obj  : wld2html.c
                $(CC)$(CC_FLAGS) WLD2HTML.C
